Subject: [mpls] Comments on draft-ietf-mpls-tp-linear-protection-06.txt

From: Xueqin WEI <[email-masked]>
Date: Mon, 14 Mar 2011 23:01:09 +0800

Hi all:

It's nice to see linear protection updated to 06 and thanks hard work of the editors.
Follows are some comments and hope this will be helpful.

Comments 1: Pag.5, section 1.2, scope of the documents. Should we clearly list the connection types that the linear protection defined in this document applicable to？ Because I am confused whether the linear proteciton can applicable to birectional P2P associated connection.
 
Comments 2: Pag.6, Last paragraph of section 1.2: “the protocol may be used by the ingress node of the path to notify the far-side end point that a switching condition has occurred and verify the consistency of the end point configuration.” The traffic is permernantly bridged at the ingress node and it is at egress node the traffic is switched. So I think “ingress node” should be “egress node” (or end point is OK too). 
 
Comments 3: Pag.9, section 3.1. Local Request Logic. “Control plane - if there is a control plane active in the network (either signaling or routing), it MAY trigger protection switching based on conditions detected by the control plane.” I suggest replaced by “Control plane - if there is a control plane active in the network (either signaling or routing), it MAY trigger protection switching based on conditions notified or detected by the control plane.”
 
Comments 4: Pag.12, section 3.4. PSC Message Generator. “When the PSC control state (see section 3.6) has changed, three PSC messages SHOULD be transmitted in quick succession”. Consider the receive end point may need three frame confirmation and “The transmission of three rapid packets allows for fast protection switching even if one or two PSC messages are lost or corrupted.” Could we transmit six (or more) PSC messages in quick succession?
 
Comments 5: Pag.20, section 4.3.2. Priority of inputs. The priority of FS is 4, this means when there are failures at working and protection path in the same time, the traffic only can transmitted at working path. But if we promote the priority of MS to 3 (Higher than signal fail on protection), then even in both working and protection path failure the traffic can be FS to protection path. This will give network operator more flexibility.
 
Comments 6: Pag.24, section 4.3.3.3. Protecting administrative state. “In the protecting state the user data traffic is being transported on the protection path”, I think here is an editorial mistake, it should be “In the protecting administrative  state the user data traffic is being transported on the protection path”
 
Comments 7: Pag.25, section 4.3.3.3. Protecting administrative state. “A local Clear SF when in remote Protecting administrative state SHOULD clear any local SF condition that may exist. The LER SHALL stop transmitting the SF(x,1) message and begin transmitting an NR(0,1) message.” In remote protecting administrative state, the loca SF only can be working path SF. If there are protection path SF, the state will be UA. How about replace above text by “A local Clear of SF when in remote Protecting administrative state SHOULD clear any local SF condition of working path that may exist. The LER SHALL stop transmitting the SF(0,1) message and begin transmitting an NR(0,1) message.”?
 
Comments 8: Pag.35, section Appendix A. PSC state machine tables. “[12] Transition to UA and send SF(1,0)”. Is that should be “[12] Transition to UA:P:R and send SF(1,0)”?

Sincerely Yours
Xueqin Wei

Fiberhome Telecommunication Technologies Co.,Ltd.,